# Version Index

This file contains a list of components grouped according to the
ADF version in which they were introduced. See the
[main index page](README.md) for a list organized by ADF libraries.

<!--history start-->

## Versions

-   [v2.2.0](#v220)
-   [v2.1.0](#v210)
-   [v2.0.0](#v200)

## v2.2.0

-   [Node download directive](node-download.directive.md)

## v2.1.0

-   [Content metadata component](content-metadata.component.md)
-   [Content node dialog service](content-node-dialog.service.md)
-   [Content node selector panel component](content-node-selector-panel.component.md)
-   [Search configuration service](search-configuration.service.md)
-   [Sidebar action menu component](sidebar-action-menu.component.md)

## v2.0.0

-   [Accordion group component](accordion-group.component.md)
-   [Accordion component](accordion.component.md)
-   [Activiti alfresco service](activiti-alfresco.service.md)
-   [Alfresco api service](alfresco-api.service.md)
-   [Alfresco content service](alfresco-content.service.md)
-   [Analytics generator component](analytics-generator.component.md)
-   [Analytics report list component](analytics-report-list.component.md)
-   [Analytics component](analytics.component.md)
-   [App config service](app-config.service.md)
-   [Apps list component](apps-list.component.md)
-   [Apps process service](apps-process.service.md)
-   [Auth guard bpm service](auth-guard-bpm.service.md)
-   [Auth guard ecm service](auth-guard-ecm.service.md)
-   [Auth guard service](auth-guard.service.md)
-   [Authentication service](authentication.service.md)
-   [Bpm user model](bpm-user.model.md)
-   [Bpm user service](bpm-user.service.md)
-   [Breadcrumb component](breadcrumb.component.md)
-   [Card view update service](card-view-update.service.md)
-   [Card view component](card-view.component.md)
-   [Checklist component](checklist.component.md)
-   [Comment list component](comment-list.component.md)
-   [Comment process model](comment-process.model.md)
-   [Comment process service](comment-process.service.md)
-   [Comments component](comments.component.md)
-   [Content action component](content-action.component.md)
-   [Content node selector component](content-node-selector.component.md)
-   [Content service](content.service.md)
-   [Content widget](content.widget.md)
-   [Context menu directive](context-menu.directive.md)
-   [Cookie service](cookie.service.md)
-   [Create process attachment component](create-process-attachment.component.md)
-   [Create task attachment component](create-task-attachment.component.md)
-   [Data column component](data-column.component.md)
-   [Datatable component](datatable.component.md)
-   [Deleted nodes api service](deleted-nodes-api.service.md)
-   [Diagram component](diagram.component.md)
-   [Discovery api service](discovery-api.service.md)
-   [Document actions service](document-actions.service.md)
-   [Document library model](document-library.model.md)
-   [Document list component](document-list.component.md)
-   [Document list service](document-list.service.md)
-   [Dropdown breadcrumb component](dropdown-breadcrumb.component.md)
-   [Ecm user model](ecm-user.model.md)
-   [Ecm user service](ecm-user.service.md)
-   [Favorites api service](favorites-api.service.md)
-   [File draggable directive](file-draggable.directive.md)
-   [File size pipe](file-size.pipe.md)
-   [File uploading dialog component](file-uploading-dialog.component.md)
-   [Filter model](filter.model.md)
-   [Folder actions service](folder-actions.service.md)
-   [Folder create directive](folder-create.directive.md)
-   [Folder edit directive](folder-edit.directive.md)
-   [Form field component](form-field.component.md)
-   [Form field model](form-field.model.md)
-   [Form list component](form-list.component.md)
-   [Form rendering service](form-rendering.service.md)
-   [Form component](form.component.md)
-   [Form service](form.service.md)
-   [Highlight transform service](highlight-transform.service.md)
-   [Highlight directive](highlight.directive.md)
-   [Host settings component](host-settings.component.md)
-   [Infinite pagination component](infinite-pagination.component.md)
-   [Info drawer layout component](info-drawer-layout.component.md)
-   [Info drawer component](info-drawer.component.md)
-   [Language menu component](language-menu.component.md)
-   [Like component](like.component.md)
-   [Log service](log.service.md)
-   [Login component](login.component.md)
-   [Logout directive](logout.directive.md)
-   [Mime type icon pipe](mime-type-icon.pipe.md)
-   [Node delete directive](node-delete.directive.md)
-   [Node favorite directive](node-favorite.directive.md)
-   [Node name tooltip pipe](node-name-tooltip.pipe.md)
-   [Node permission directive](node-permission.directive.md)
-   [Node restore directive](node-restore.directive.md)
-   [Node service](node.service.md)
-   [Nodes api service](nodes-api.service.md)
-   [Notification service](notification.service.md)
-   [Page title service](page-title.service.md)
-   [Pagination component](pagination.component.md)
-   [People content service](people-content.service.md)
-   [People list component](people-list.component.md)
-   [People process service](people-process.service.md)
-   [People search component](people-search.component.md)
-   [People component](people.component.md)
-   [Permissions style model](permissions-style.model.md)
-   [Process attachment list component](process-attachment-list.component.md)
-   [Process audit directive](process-audit.directive.md)
-   [Process comments component](process-comments.component.md)
-   [Process content service](process-content.service.md)
-   [Process filter service](process-filter.service.md)
-   [Process filters component](process-filters.component.md)
-   [Process instance details component](process-instance-details.component.md)
-   [Process instance header component](process-instance-header.component.md)
-   [Process instance tasks component](process-instance-tasks.component.md)
-   [Process list component](process-list.component.md)
-   [Process service](process.service.md)
-   [Product version model](product-version.model.md)
-   [Rating component](rating.component.md)
-   [Rating service](rating.service.md)
-   [Renditions service](renditions.service.md)
-   [Search api service](search-api.service.md)
-   [Search control component](search-control.component.md)
-   [Search component](search.component.md)
-   [Select apps dialog component](select-apps-dialog.component.md)
-   [Shared links api service](shared-links-api.service.md)
-   [Site model](site.model.md)
-   [Sites dropdown component](sites-dropdown.component.md)
-   [Sites service](sites.service.md)
-   [Start form component](start-form.component.md)
-   [Start process component](start-process.component.md)
-   [Start task component](start-task.component.md)
-   [Storage service](storage.service.md)
-   [Tag actions component](tag-actions.component.md)
-   [Tag list component](tag-list.component.md)
-   [Tag node list component](tag-node-list.component.md)
-   [Tag service](tag.service.md)
-   [Task attachment list component](task-attachment-list.component.md)
-   [Task audit directive](task-audit.directive.md)
-   [Task details component](task-details.component.md)
-   [Task details model](task-details.model.md)
-   [Task filter service](task-filter.service.md)
-   [Task filters component](task-filters.component.md)
-   [Task header component](task-header.component.md)
-   [Task list component](task-list.component.md)
-   [Tasklist service](tasklist.service.md)
-   [Text highlight pipe](text-highlight.pipe.md)
-   [Text mask component](text-mask.component.md)
-   [Thumbnail service](thumbnail.service.md)
-   [Time ago pipe](time-ago.pipe.md)
-   [Toolbar divider component](toolbar-divider.component.md)
-   [Toolbar title component](toolbar-title.component.md)
-   [Toolbar component](toolbar.component.md)
-   [Translation service](translation.service.md)
-   [Upload button component](upload-button.component.md)
-   [Upload drag area component](upload-drag-area.component.md)
-   [Upload directive](upload.directive.md)
-   [Upload service](upload.service.md)
-   [User info component](user-info.component.md)
-   [User initial pipe](user-initial.pipe.md)
-   [User preferences service](user-preferences.service.md)
-   [User process model](user-process.model.md)
-   [Version list component](version-list.component.md)
-   [Version manager component](version-manager.component.md)
-   [Viewer component](viewer.component.md)
-   [Webscript component](webscript.component.md)
-   [Widget component](widget.component.md)

<!--history end-->
